| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
IDataStreamTool Class Referenceabstract

`#include <GaudiKernel/IDataStreamTool.h>`

Inheritance diagram for IDataStreamTool:
[legend]
Collaboration diagram for IDataStreamTool:
[legend]

## Public Types
typedef std::vector< std::string > | StreamSpecs
typedef long | size_type
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IDataStreamTool, 2, 0)
| InterfaceID. More...
virtual StatusCode | initializeStream (EventSelectorDataStream *)=0
virtual StatusCode | finalizeStream (EventSelectorDataStream *)=0
virtual StatusCode | getNextStream (const EventSelectorDataStream *&, size_type &)=0
virtual StatusCode | getPreviousStream (const EventSelectorDataStream *&, size_type &)=0
virtual StatusCode | addStream (const std::string &)=0
virtual StatusCode | addStreams (const StreamSpecs &)=0
virtual StatusCode | eraseStream (const std::string &)=0
virtual EventSelectorDataStream * | getStream (size_type)=0
virtual EventSelectorDataStream * | getStream (const std::string &)=0
virtual EventSelectorDataStream * | lastStream ()=0
virtual size_type | size ()=0
virtual StatusCode | clear ()=0
Public Member Functions inherited from IAlgTool
| DeclareInterfaceID (IAlgTool, 4, 0)
| InterfaceID. More...
virtual const std::string & | type () const =0
| The type of an AlgTool, meaning the concrete AlgTool class. More...
virtual const IInterface * | parent () const =0
| The parent of the concrete AlgTool. More...
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED). More...
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED). More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED). More...
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual StatusCode | sysInitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStart ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStop ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysFinalize ()=0
| Finalization of the Tool. More...
virtual StatusCode | sysReinitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysRestart ()=0
| Initialization of the Tool. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Protected Member Functions
virtual StatusCode | createSelector (const std::string &, const std::string &, IEvtSelector *&)=0
virtual StatusCode | createStream (const std::string &, const std::string &, EventSelectorDataStream *&)=0

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Author
  Andres Felipe Osorio Oliveros
  Marco Clemencic

Date
  2006-09-21

Definition at line 22 of file IDataStreamTool.h.

## Member Typedef Documentation

typedef long IDataStreamTool::size_type

Definition at line 28 of file IDataStreamTool.h.

typedef std::vector<std::string> IDataStreamTool::StreamSpecs

Definition at line 27 of file IDataStreamTool.h.

## Member Function Documentation

virtual StatusCode IDataStreamTool::addStream | ( | const std::string & |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::addStreams | ( | const StreamSpecs & |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::clear | ( |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::createSelector | ( | const std::string & | ,
|  | const std::string & | ,
|  | IEvtSelector *& |
| ) |  |
| protected pure virtual

virtual StatusCode IDataStreamTool::createStream | ( | const std::string & | ,
|  | const std::string & | ,
|  | EventSelectorDataStream *& |
| ) |  |
| protected pure virtual

IDataStreamTool::DeclareInterfaceID | ( | IDataStreamTool | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IDataStreamTool::eraseStream | ( | const std::string & |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::finalizeStream | ( | EventSelectorDataStream * |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::getNextStream | ( | const EventSelectorDataStream *& | ,
|  | size_type & |
| ) |  |
| pure virtual

virtual StatusCode IDataStreamTool::getPreviousStream | ( | const EventSelectorDataStream *& | ,
|  | size_type & |
| ) |  |
| pure virtual

virtual EventSelectorDataStream* IDataStreamTool::getStream | ( | size_type |  | ) |
| pure virtual

virtual EventSelectorDataStream* IDataStreamTool::getStream | ( | const std::string & |  | ) |
| pure virtual

virtual StatusCode IDataStreamTool::initializeStream | ( | EventSelectorDataStream * |  | ) |
| pure virtual

virtual EventSelectorDataStream* IDataStreamTool::lastStream | ( |  | ) |
| pure virtual

virtual size_type IDataStreamTool::size | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IDataStreamTool.h